Import User Variable Values

Use this REST API to import user variable values from a file in the Planning repository into the application using the Planning job of type IMPORT_USER_VARIABLE_VALUE.

For Planning, you can specify an error file that captures the user variable value records that are not imported, with the cause for the failure. If an error file is specified, a separate error file is created. If this is not specified, an error file is auto generated with a name containing the username, current date, and time stamp. For example, test_userUVValuesImportErrorLog2025-07-14-12-08-45-441.csv

The file containing the error messages is stored in the Outbox. This API overrides any existing error file with the same name. You can download the file using Inbox/Outbox Explorer or tools like EPM Automate or REST APIs, for example, with the Download API.

The generated error file can be reimported after fixing the rows as per the error logs in the error column.

Using this REST resource requires prerequisites, such as understanding how to use jobs. See Prerequisites. Be sure that you understand how to use jobs as described in Managing Jobs.

The best method to get the import file format template is to export user variable values from the application.

The input CSV has the following column headings in the described order:

  1. User Name
  2. Dimension
  3. Variable Name
  4. Member

The error CSV file has the following column heading:

  1. User Name
  2. Dimension
  3. Variable Name
  4. Member
  5. Error

Required Roles

Service Administrator

REST Resource

POST     /HyperionPlanning/rest/{api_version}/applications/{application}/jobs

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job. For additional parameters that are common to all jobs, see Execute a Job.

Table 8-17 Parameters

Name Description Required Default
jobType Import User Variable Values(non case sensitive) or IMPORT_USER_VARIABLE_VALUES (both parameters are supported) Yes None
jobName The name of the job to be used. This job name appears on the job console.

Example: ImportUVValJob

Yes None
fileName

The name of the input CSV file. The file must be present in the Inbox.

Before using this REST API, you can use the Upload REST API to upload the file.

Yes None
errorFileName

Optionally, create a separate error file for recording any errors that occur during the import process. If this is not specified, an error file is auto-generated with a name containing the user name, current date, and time stamp. For example, test_userUVValuesImportErrorLog2025-07-14-12-08-45-441.csv

The file containing the error messages is stored in the Outbox. You can download it using the Download API. This API overrides any existing error file with the same name.

The generated error file can be reimported after fixing the rows as per the error logs in the error column.

No Auto generated

For a sample URL, see Sample URL and Payload in Execute a Job.

Sample Payload

Example 1: Imports user variable values from the input file ImportUVVal.csv .

{ 
   "jobType": "IMPORT_USER_VARIABLE_VALUES", 
   "jobName": "Import User Variable Values", 
   "parameters": { 
       "fileName": "ImportUVVal.csv" 
   } 
}

Example 2: Imports user variable values from the input file ImportUVVal.csv and exports the error messages to the file ImportUVValFileLog.csv.

{ 
   "jobType": "IMPORT_USER_VARIABLE_VALUES", 
   "jobName": "Import User Variable Values", 
   "parameters": { 
       "fileName": "ImportUVVal.csv", 
  "errorFileName": "ImportUVValFileLog.csv" 
} 
}